View Issue Details

IDProjectCategoryView StatusLast Update
0012750MediaMonkey (current)Synchronizationpublic2015-06-29 19:33
ReporterLudek 
PriorityimmediateSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version4.1 
Target Version4.1.8Fixed in Version4.1.8 
Summary0012750: iOS sync: Upload iTunesCDB more often (not only on the sync end)
DescriptionWith the iOS 8.3 update there are some reports that iPhone unexpectedly disconnects or reboots during long sync (e.g. after 2 hours when there is a slow auto-conversion FLAC -> M4A).

If iPhone is unexpectedly disconnected this way that MM cannot upload iTunesCDB file (from where iTunes & MM reads device content) which results in re-syncing all files on the next sync attempt (while e.g. half of them are already on the device).

The solution is to uploaded iTuneCDB file regularly during long sync tasks.
Additional Information#BJS-458-67430
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=81091#p409235
TagsNo tags attached.
Fixed in build1749

Relationships

related to 0012774 closedLudek iOS 8.3+ device reboots unexpectedly during long sync tasks (more than 5000 songs) 
related to 0012806 resolvedLudek iOS8: In some cases audio doesn't match title on iPhone 

Activities

Ludek

2015-06-08 16:16

developer   ~0042606

Fixed in 4.1.8.1748

iTunesCDB is uploaded every minute now

peke

2015-06-17 20:59

developer   ~0042647

Verified 1748

Ludek

2015-06-26 20:11

developer   ~0042668

Last edited: 2015-06-26 20:32

View 4 revisions

Re-opened, based on user feedback this caused a regression that iOS itself deletes most of the songs during sync for some users

Details in Ticket ID: MIW-502-41743

Ludek

2015-06-26 20:16

developer   ~0042669

Reverted in build 4.1.8.1749 , the original issue is tracked as 0012774

peke

2015-06-27 22:47

developer   ~0042672

Verified 1749

peke

2015-06-29 19:33

developer   ~0042682

Closing Rechecked in 1750